#include <bits/stdc++.h>
using namespace std;

void revStr(string& strg)
{
for (int i=strg.length()-1; i>=0; i--)
cout << strg[i];
}

int main(){
ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
string s; cin >> s;
int a, b; cin >> a >> b;
if ( (a-b != 1) && ( a- b != 0 ) ){
    cout << "nemoguce";
}
else{
    cout << s << s;
}
return 0;
}